*1. Identify Duplicate Cases.
*MENU: Go to Data > 'Identify Duplicate Cases ...' and transfer the variable 'ID' to the  'define matching cases by' box. 

SORT CASES BY id(A).
MATCH FILES
  /FILE=*
  /BY id
  /FIRST=PrimaryFirst
  /LAST=PrimaryLast.
DO IF (PrimaryFirst).
COMPUTE  MatchSequence1=1-PrimaryLast.
ELSE.
COMPUTE  MatchSequence1=MatchSequence1+1.
END IF.
LEAVE  MatchSequence1.
FORMATS  MatchSequence1 (f7).
COMPUTE  InDupGrp=MatchSequence1>0.
SORT CASES InDupGrp(D).
MATCH FILES
  /FILE=*
  /DROP=PrimaryFirst InDupGrp MatchSequence1.
VARIABLE LABELS  PrimaryLast 'Indicator of each last matching case as Primary'.
VALUE LABELS  PrimaryLast 0 'Duplicate Case' 1 'Primary Case'.
VARIABLE LEVEL  PrimaryLast (ORDINAL).
FREQUENCIES VARIABLES=PrimaryLast.
EXECUTE.
*4 duplicate cases.

*Delete Duplicate cases safely.
*MENU: Data > select cases > If condition is satisfied..(fill in PrimaryLast=1. If primaryLast=0 then this is a duplicate case)& Delete unselected cases.
FILTER OFF.
USE ALL.
SELECT IF (PrimaryLast = 1).
EXECUTE.


*2. Compute ageat the date of screening by using birth date.
*MENU: Transform > Compute > Target variable=Age, Numerical expression=XDATE.YEAR(Date_screening)-XDATE.YEAR(Date_birth).
*Search in the Function Group for 'Date Extraction'. In the box below you see 'functions and special variables'.
*There is a list of functions for date extraction. You need the 'Xdate.year' function.Click on this function. Transfer the function to the Numerical expression box. 
*Transfer Date_screening to the numerical expression box as well. It will replace the question mark.
*In future analysis you may not know which function you need. Read the description of the function in the box, that appears if you click on the function.
COMPUTE Age=XDATE.YEAR(Date_screening)-XDATE.YEAR(Date_birth).
EXECUTE.

*3.Sort cases by ascending age.
*MENU: Data > Sort cases.
SORT CASES BY Age(A).

*4a.Discrete Missing values
*Go to variable view, Go to the variable AGE, Go to missings, check the box 'discrete missing values and enter 999.
*4b.Compute 999 for missing values.
*MENU: Transform > Compute > Target variable =age (same variable!), Numerical Expression=999.
*Search in the Function Group for 'Missing Values'. In the box below you see 'functions and special variables'.
*There is a list of functions for missing values. You need the 'missing' function.Click on this function. Transfer the function to the Numerical expression box. 
*Transfer age to the numerical expression box as well. 
IF  (MISSING(Age)) age=999.
EXECUTE.

*5a. Explore the variable age. Make a boxplot for age and check for outliers.
*MENU: Analyze > Descriptive statistics > Explore.
EXAMINE VARIABLES=Age
  /PLOT BOXPLOT HISTOGRAM
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*In the boxplot you can only see one outlier. So you should also use other methods to check for outliers.

*5b.Write down the casenumbers with a strange value for age. 
*Sort by age and look for the lowest and highest values.
* Case 2396, 1366 and 2053 have a strange age due to a mistake in the date of birth.

*6a.How many males and females participated in the screening?.
*MENU: Analyze > Descriptive Statistics > Frequencies.
FREQUENCIES VARIABLES=Sex
  /ORDER=ANALYSIS.
*1796 females and 890 males.

*6b.Discrete missing values for sex and recalculate the frequency table.
*Go to variable view, Go to the variable Sex, Go to missings, check the box 'discrete missing values and enter 0.
*Run the Frequencies syntax again.

*7.How many females older than 40, but younger then 61 participated in the screening?.
*Step 1 :Recode age.
*MENU: Transform > Recode into different variables > Output variable = agecat, Old and new values: (Lowest thru 40=1) (41 thru 60=2) (61 thru Highest=3)
After transformation fill in the variable label and value label in variable view.
RECODE Age (Lowest thru 40=1) (41 thru 60=2) (61 thru Highest=3) INTO Agecat.
Variable labels Agecat 'New age category'.
Value labels Agecat 1 '40 or younger' 2 '41 to 60 years' 3 'older than 60'.
EXECUTE.

*Step 2: make a crosstab.
*MENU: Analyze > Descriptive statistics > crosstabs.
CROSSTABS
  /TABLES=Agecat BY Sex
  /FORMAT=AVALUE TABLES
  /CELLS=COUNT
  /COUNT ROUND CELL.
*n=576.

*8. How many patients were diagnosed with at least one melanoma?.

* Step 1: Create a yes/no variable for melanoma diagnosis.

*Option 1 to create this variable.
*MENU: Transform > Compute > Target variable 'MM_yes_no', Go to if, include cases if satisfied condition > fill in: MM>=1, Numerical expression: 1.
*Repeat, but now fill in for condition statisfied: Missing(MM_yes_no) and Numerical expression=0. Keep the same target variable!.
IF  (MM>=1) MM_yes_no=1.
EXECUTE.
IF  (MISSING(MM_yes_no)) MM_yes_no=0.
EXECUTE.
Variable labels MM_yes_no 'Diagnosed with melanoma'.
Value labels MM_yes_no 1'Yes' 2 'No'.


*Option 2 This is a better and more flexible syntax. You can also use this to define a new variable based on a combination of multiple variables. 
*Note: Pay attention to the details of the syntax. Are the points placed correctly, Is there a space too many, are values of string values placed between hyphen (') etc.

DO IF (MM >= 1).
COMPUTE MM_yes_no=1.
ELSE IF (MM = 0).
COMPUTE MM_yes_no=0.
END IF.


*Step 2: Frequency table.
*MENU: Analyze > descriptive statistics > frequencies.
FREQUENCIES VARIABLES=MM_yes_no
  /ORDER=ANALYSIS.
*n=161.



