﻿
GET
  FILE='X:\DERM\Overig\354000\Statistiek\EADV_ESDR_summercourse\Assignment 2-1 Skin_cancer_screening.sav'.
DATASET NAME DataSet1 WINDOW=FRONT.

*******************Here you can find the answers for assignment 2.1***************************************************************************************************************
*1.
*H0: The age distribution is equal between patients with and without AK
*numerical data (age), two groups (with and without AK), and independent groups (patients with and without AK are not related ) > independent samples t-test.
*MENU: Analyze > Explore > Plots, tick the box 'normality plots with tests' and 'histogram'.
EXAMINE VARIABLES=Age
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*Age is not completely normally distributed, but the sample size (n=2667) is large enough for the central limit theorem to hold. 
*MENU: Analyze > Compare Means >  Independent samples t-test.
T-TEST GROUPS=AK(1 2)
  /MISSING=ANALYSIS
  /VARIABLES=Age
  /CRITERIA=CI(.95).
*The mean age of both groups is shown in the first table (42.8 and 60.4)
*The null hypothesis for the test for equal variances is: Variance of age between patients with and without AK is equal.
*the p-value is significant meaning that the null hypothesis is rejected and variances are not equal. Look at the second line of output.
*The mean difference is -17.6 (60.4-42.8), the p-value is 0.000 (it is not zero, but <0.001) 
*The null hypothesis is rejected, there is a statistical signifcant age difference of 17.6 years (95% -19.5;-15.7) between patients with and without AK


*2. 
*2a. Option 2: The 95% CI of the mean is calculated by using the standard error (SE), which indicates the spread of the mean if we would have samples many times. 
*the mean +/- 1.96*SD indicates the spread of the data in this sample, meaning that 95% of the datapoints of pain score in week 2 in this sample is between 0.295 and 6.45. 

*2b.
*The data is numeric, there are 2 groups, but the groups are paired; the subjects of week 2 are the same subjects as those in week 4. Thus paired samples t-test.
*H0: the mean painscore between week 2 and week 4 is equal.

*2c. The differences in pain score between week 4 and 2 should be normally distributed.
*Select all patients with AK. 
*MENU: Data > select cases > 'if condition is satisfied' > AK=2.
USE ALL.
COMPUTE filter_$=(AK=2).
VARIABLE LABELS filter_$ 'AK=2 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
*Calculate the differences.
*MENU: Transform > Compute variable.
COMPUTE difference_VAS_4_2=Pain_week_4-Pain_week_2.
EXECUTE.
*MENU: Analyze > Explore > Plots, tick the box 'normality plots with tests' and 'histogram'.
EXAMINE VARIABLES=difference_VAS_4_2
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*Note that the shapiro-wilk test is non-signifant p=0.442, thus the null hypothesis (i.e. The variable is normally distributed) is not rejected.
*2d.
*MENU: Analyze > Compare Means > Paired-samples t-test.
*Note: selecte both variables, while pressing the Ctrl-key and click on the button with the arrow to move them to the paired-variable box.
T-TEST PAIRS=Pain_week_2 WITH Pain_week_4 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.
*In the first table you see a description of the mean variables and the SD and the SE. In the second table you see the correlation between the two variables, which is described 
more detail in chapter 3 (linear regression).
*In the third table you see the mean difference between the pain score of week 2 and 4. The mean difference is -1.5028 with a 95% CI of -1.8849 and -1.1207. Note that
the value 0 (meaning no difference) is not included in the 95% CI, which also gives you an indication that the difference is statistically significant. The p-value of the 
paired sample t-test is 3.187*10^-13 (double click on the table and the p-value), thus the null hypothesis is rejected and there is a statistically significant difference 
in pain scores between week 2 and 4.

*3a. 
*MENU: Analyze > Descriptive statistics > Frequencies. 
FREQUENCIES VARIABLES=Skin_reaction
  /ORDER=ANALYSIS.

*3b.
*H0: The difference in pain score between week 2 and week 4 is the same between skintype I, II , III, IV. 
*the data is numeric, there are 4 different groups. The subjects with different skin types are independent from each other , thus ANOVA.
*Calculate the difference in pain score between week 4 and week 2.
*MENU: Transform > Compute variable.
COMPUTE difference_VAS_4_2=Pain_week_4-Pain_week_2.
EXECUTE.
*MENU: Analyze > Compare Means > One-way ANOVA.
ONEWAY difference_VAS_4_2 BY Skin_reaction
  /STATISTICS DESCRIPTIVES HOMOGENEITY 
  /MISSING ANALYSIS.
*The important model assumption which should be tested is equality of variances.
*H0 of levene's test of equal variances is : the variance between all groups of skin type is equal.
*the p-value is 0.178, thus the null hypothesis is not rejected and the ANOVA can be peformed. 
*The p-value of the ANOVA is 0.089, which means that the null hypothesis 'the difference in pain score between week 2 and 4 is equal for the different skin types' as defined 
above is also not rejected. Post-hoc tests are not needed in this case, as the overall test (the ANOVA) indicates that there is no difference between skintype I, II, III and IV. 


*4. Select all particpants who are ABOVE 75 years old.
*MENU: Data > select cases > 'if condition is satisfied' > age>75.
USE ALL.
COMPUTE filter_$=(Age>75 AND AK=2).
VARIABLE LABELS filter_$ 'Age>75 AND AK=2 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FREQUENCIES VARIABLES=Pain_week_2 Pain_week_4 
  /ORDER=ANALYSIS.
*H0: the mean pain score between week 2 and week 4 is equal in patients who are above 75 years old.
*The pain score is numeric, there are two groups, the score of week 2 and week 4 are from the same subjects, thus the data is paired > paired-sample t-test,
BUT, there are only 23 subjects with AK above 75 years old (use frequencies to visualize this), thus we need a non-parametrical test: the Wilcoxon Signed Rank test:
Analyze > Non-parametrical tests > Related -samples 
choose : 'customize analysis' in the objective tab. Put VAS week 2 and VAS week 4 in the test-fields of the fields tab
Go to the settings tab and customize tests and chose 'Wilcoxon matched-pair signed-rak (2samples)'.
NPTESTS 
  /RELATED TEST(Pain_week_2 Pain_week_4) WILCOXON 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.
*OR
Analyze > Non-parametrical tests > Legacy dialogs > 2-related samples. 
*Press Ctrl key while selecting both pain scores and move then to the test pairs field. Tick the box ‘descriptives’ in the options menu.
NPAR TESTS
  /WILCOXON=Pain_week_2 WITH Pain_week_4 (PAIRED)
  /MISSING ANALYSIS.
*The p-value of the Wilcoxon signed rank sum test is 0.008, thus the null hypothesis is rejected. The score at week 4 is significantly higher (4.601 at week 4 vs. 3.054 at week 2).

FILTER OFF.
USE ALL.
EXECUTE.

*5. 
*H0: the proportion of patients with a family history of melanoma is equal between patients with and without SCC.
*You need a binary variable which indicates the presence of SCC instead of the actual number of SCC.
DO IF  SCC>=1.
COMPUTE Presence_SCC=1.
ELSE IF SCC=0.
COMPUTE Presence_SCC=0.
END IF.
EXECUTE.

VARIABLE LABELS Presence_SCC 'Presence of SCC'.
VALUE LABELS Presence_SCC 0 'No SCC' 1 'SCC'.

*The data is categorical, presence of SCC has two groups, but family history of melanoma has 4 categories, thus we need a chi-square test
However, examining the crosstab, we observe that some cells have the value 0, so we require a fisher's exact test
Analyze > Descriptive statistics > Crosstabs
Go to Statistics and tick the chi-square box and go to exact and tick exact. 
CROSSTABS
  /TABLES=Fam_history BY Presence_SCC
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COUNT
  /COUNT ROUND CELL
  /METHOD=EXACT TIMER(5).
*The 2-sided p-value is 1.00 (it's 2-sided because the proportion can either be smaller or larger) meaning, that the null hypothesis is  not rejected and there is no difference in 
proportion of patients with a family history of melanoma between patients with and without SCC in our sample.


