﻿
*1a.Correlation coefficients.
*Analyze> Correlate> Bivariate. 
CORRELATIONS
  /VARIABLES=age dias weight pulse
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.

*1b. Scatterplots of DBP with age, weight and pulse rate.
*graphs > legacy dialogs > scatter/dot > simple scatter.
GRAPH 
  /SCATTERPLOT(BIVAR)=weight WITH dias 
  /MISSING=LISTWISE.
* OR Graphs > Chart Builder.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=age dias MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: age=col(source(s), name("age"))
  DATA: dias=col(source(s), name("dias"))
  GUIDE: axis(dim(1), label("age in years"))
  GUIDE: axis(dim(2), label("diastolic blood pressure (mmHg)"))
  ELEMENT: point(position(age*dias))
END GPL.
*Repeat this for body weight, and pulse rate.

*1c.To get the regression line in the plot you have to edit it (by double clicking on the scatter plot) and use Elements, Fit Line at Total. 
*Check in the Properties window Fit Line tab that Linear regression is the default fitting method. 
*You see the regression line of diastolic blood pressure on age in the plot. 

*DBP=78+0.08*age, r square=0.014 means 1.4% of the variance in DBP is explained by age.
*DBP=66.99+0.28*body weight, r square=0.098 means 9.8% of the variance in DBP is explained by weight
*DBP=72.04+0.11*pulse frequency, r square=0.016 means 1.6% of the variance in DBP is explained by pulse frequency.

*3. Univariable model, repeat for weight and pulse.
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT dias
  /METHOD=ENTER age.

*AGE:
0.080, 95% CI 0.007 to 0.153, p-value 0.032, Each year increase in age leads to an increase of 0.08 (95% CI 0.007-0.153) mmHg in diastolic blood pressure
*Weight:
0.276, 95% CI 0.185-0.367 p-value 6.43*10^-9,  Each kg increase in body weight leads to an increase of 0.276 (95% CI  0.185-0.367) mmHg in diastolic blood pressure
*Pulse frequency
0.111 95% CI 0.017-0.204 p-value 0.021, Each beat/min increase in pulse frequency leads to an increase of 0.111 (95% CI  0.017-0.204) mmHg in diastolic blood pressure

*4. Multivariable model.
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT dias
  /METHOD=ENTER age weight pulse
  /RESIDUALS HISTOGRAM(ZRESID) NORMPROB(ZRESID)
  /SAVE PRED RESID.

*4a. H0: all regression coefficiens in the model are 0
p-value of the F-test is 7.33*10^-10, indicating that this null hypothesis can be rejected.

*4b.
*Look at the adjusted R square, because this is a multivariable model and the r square should be adjusted for the number of covariates in the model 
to prevent overestimation of the r square. the adjusted r square is 0.123. Thus 12.3%.

*4c. The assumption of normality is fulfilled.

*4d.
*Plot a reference line at y=0.
*repeat for pulse and age.
GRAPH
  /SCATTERPLOT(BIVAR)=weight WITH RES_1
  /MISSING=LISTWISE.
GRAPH
  /SCATTERPLOT(BIVAR)=PRE_1 WITH RES_1
  /MISSING=LISTWISE.
*There is some evidence of a decreasing SD with increasing weight. 

*4e.
*Interpretation: the increase in mmHG diastolic blood pressure for 1 unit increase of the covariate (e.g. age) while keeping all the other covaiates in the model constant 
(e.g. weight and pulse in the example of age). 
*The coefficient are almost the same as the univariable analysis, this means that they are probably independent from each other. 
