﻿*1.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT Health_score
  /METHOD=ENTER CEAP.

*Patients with a venous ulcer (C5/C6) report overall 16.481 (95% CI -27.218 to -5.743) points lower compare to patiens with C4 or less
The p-value is 0.004 thus the difference is statistically significant.

*2a. 
*A confounder distorts the relation between exposure (venous ulcer) and outcome (patient reported health score)
*A confounder is related to the exposure, increases or decreases (the risk) on the outcome and is no intermediate.

*2b.
*Age and sex can be confounders, they are no intermediates and may be associated with CEAP score as well as overall health score
*GSV_diameter is unlikely to be a confounder. It is probably related to CEAP score, but not to overall health score
*Weight may influence the disease progression of varicose veins and may also be related to overall health score, weight is no intermediate.
*Heart rate is unlikely to confound the relationship because it is probably not related to CEAP score.

*2c. 
*A priori confounders can be age sex and weight. 
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT Health_score
  /METHOD=ENTER CEAP Sex age weight.

*3.
*3a.. Determine the point estimate for CEAP.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT Health_score
  /METHOD=ENTER CEAP Sex age.
*-16.210
interpretation: the health score of patients with venous ulcers is 16 points lower compared to patients with C4 or less of the same age and sex.
*3b
The 10% rule means that beta s outside the 10% boundaries are considered to distort the relationship between CEAP and health score and 
are thus confounders: -16.210+-1.621 and -16.210- - 1.621
Beta s which lead to a CEAP point estimate lower than -17.831 and higher than -14.589 will be considered confounders.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT Health_score
  /METHOD=ENTER CEAP Sex age GSV_diam.
* The CEAP point estimate when including GSV diameter in the age and sex adjusted model is -16.2, which is within the boundaries and thus no confounder.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT Health_score
  /METHOD=ENTER CEAP Sex age weight.
* The CEAP point estimate when including weight in the age and sex adjusted model is -14.1, which is outside the boundaries and thus a confounder.
*Weight should be included in the final multivariable model.


*4.
*Include an interaction term between weight and CEAP.
COMPUTE weight_CEAP=weight*CEAP. 
EXECUTE.
*Include the interaction term in the model of 3b.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT Health_score
  /METHOD=ENTER CEAP Sex age weight weight_CEAP.
* The p-value of the interaction term is 0.205, thus there is no different relationship between weight and health score between those with and without venous ulcers.

*5a.
*Graphs > Legacy diaglogs > Scatter > Simple 
OR 
Graphs > Chart builder.
GRAPH
  /SCATTERPLOT(BIVAR)=GSV_diam WITH Health_score
  /MISSING=LISTWISE.
*No relation.
GRAPH
  /SCATTERPLOT(BIVAR)=weight WITH Health_score
  /MISSING=LISTWISE.
*linear relation.
GRAPH
  /SCATTERPLOT(BIVAR)=heart_rate WITH Health_score
  /MISSING=LISTWISE.
*non-linear relation.

*5b.
*Test a linear and quadratic curve.
*Analyze > Regression > Curve Estimation.
*Heart rate is the variable and Overall healtscore is the dependent variable. 
*Test a linear and a quadratic model. 
* Curve Estimation. 
TSET NEWVAR=NONE. 
CURVEFIT 
  /VARIABLES=Health_score WITH heart_rate 
  /CONSTANT 
  /MODEL=LINEAR QUADRATIC 
  /PLOT FIT.

*5c. 
*R^2 linear=0.148, R^2 quadratic is 0.581, the difference is 43.3% in explained variance.

*5d 
Look at the parameter estimates of the model summary and parameter estimates table just above the graph.
*Health score=803.393-19.546*Heartrate+0.125*Heartrate^2

