﻿*1
se ln(OR): SQRT(1/370+1/9+1/452+1/14)=0.43296
e^(ln(1.27)+/-1.96*0.43296)
OR=1.27, 95%CI = 0.54-2.96 

*2.
LOGISTIC REGRESSION VARIABLES AK_binary
  /METHOD=BSTEP(LR) Age Gender BMI Baldness Smoking Skincolor HatGlasses Sunburn 
  /CONTRAST (Gender)=Indicator(1)
  /CONTRAST (Baldness)=Indicator
  /CONTRAST (Smoking)=Indicator
  /CONTRAST (HatGlasses)=Indicator
  /CONTRAST (Skincolor)=Indicator
  /CONTRAST (Sunburn)=Indicator
  /CRITERIA=PIN(0.05) POUT(0.05) ITERATE(20) CUT(0.5).
*age, gender baldness, skin color, hatglasses and sunburn are included in the final model. 

*3.
*Test if there is statistical interaction between age and  sunnycountry.
LOGISTIC REGRESSION VARIABLES AK_binary
  /METHOD=ENTER Age Gender Baldness Skincolor HatGlasses Sunburn SunnyCountry Age*SunnyCountry 
  /CONTRAST (Gender)=Indicator(1)
  /CONTRAST (Baldness)=Indicator
  /CONTRAST (HatGlasses)=Indicator
  /CONTRAST (Skincolor)=Indicator
  /CONTRAST (Sunburn)=Indicator
  /CONTRAST (SunnyCountry)=Indicator
  /CRITERIA=PIN(0.05) POUT(0.05) ITERATE(20) CUT(0.5).
*p-value =0.67 no evidence of statistical interaction. The OR for age is equal between people who lived in a sunny country > 1 year and who did not.

*4.
*Step 1 Save the predicted probabilities. 
LOGISTIC REGRESSION VARIABLES AK_binary
  /METHOD=BSTEP(LR) Age Gender Baldness Skincolor HatGlasses Sunburn 
  /CONTRAST (Gender)=Indicator(1)
  /CONTRAST (Baldness)=Indicator
  /CONTRAST (HatGlasses)=Indicator
  /CONTRAST (Skincolor)=Indicator
  /CONTRAST (Sunburn)=Indicator
  /SAVE=PRED
  /CRITERIA=PIN(0.05) POUT(0.05) ITERATE(20) CUT(0.5).

*Step 2.
Make an ROC curve. 
Analyze > ROC curve
Test variable is the PRE_1, state variable is AK yes/no and the value of the state is set to 1. Ask for a diagonal reference line.
ROC PRE_1 BY AK_binary (1)
  /PLOT=CURVE(REFERENCE)
  /CRITERIA=CUTOFF(INCLUDE) TESTPOS(LARGE) DISTRIBUTION(FREE) CI(95)
  /MISSING=EXCLUDE.

*Step 3. interpret the output
The AUC is 0.727 which is a reasonable discrimination, meaning that the model performs reasonable in making the distinction between those with and without AK.


*5. Include Workedoutdoor.
LOGISTIC REGRESSION VARIABLES AK_binary
  /METHOD=ENTER Age Gender Baldness Skincolor HatGlasses Sunburn Workedoutdoor 
  /CONTRAST (Gender)=Indicator(1)
  /CONTRAST (Baldness)=Indicator
  /CONTRAST (HatGlasses)=Indicator
  /CONTRAST (Skincolor)=Indicator
  /CONTRAST (Sunburn)=Indicator
  /CONTRAST (Workedoutdoor)=Indicator
  /SAVE=PRED
  /CRITERIA=PIN(0.05) POUT(0.05) ITERATE(20) CUT(0.5).

*The nagelkerke R square is 0.204 and thus unchanged.
ROC PRE_2 BY AK_binary (1)
  /PLOT=CURVE(REFERENCE)
  /CRITERIA=CUTOFF(INCLUDE) TESTPOS(LARGE) DISTRIBUTION(FREE) CI(95)
  /MISSING=EXCLUDE.
*The AUC is 0.727 and unchanged as well. Thus working outdoors does not improve to the model.


*6 ordinal regression of smoking.
*Analyze > Regression > Ordinal.
*Go to 'Output' and ask for test of parellel lines.
PLUM AK BY Smoking
  /CRITERIA=CIN(95) DELTA(0) LCONVERGE(0) MXITER(100) MXSTEP(5) PCONVERGE(1.0E-6) SINGULAR(1.0E-8)
  /LINK=LOGIT
  /PRINT=FIT PARAMETER SUMMARY TPARALLEL.
*6a Test of parallel lines: H0: the OR (beta's ) are the same across the categories of number of AK.
*The p-value is 0.011, thus the null hypothesis is rejected and the proprotional odds assumtion for smoking is not fulfilled. 
*6b. not applicable.

*7. 
*Analyze > Regression > Multinomial Logistic 
Age is a continues variable and should be included as covariate
baldness and sex are factors
The first category of AK is the reference.
NOMREG AK (BASE=FIRST ORDER=ASCENDING) BY Gender Baldness WITH Age
  /CRITERIA CIN(95) DELTA(0) MXITER(100) MXSTEP(5) CHKSEP(20) LCONVERGE(0) PCONVERGE(0.000001) 
    SINGULAR(0.00000001)
  /MODEL
  /STEPWISE=PIN(.05) POUT(0.1) MINEFFECT(0) RULE(SINGLE) ENTRYMETHOD(LR) REMOVALMETHOD(LR)
  /INTERCEPT=INCLUDE
  /PRINT=PARAMETER SUMMARY LRT CPS STEP MFI.
*7a. 
*the OR for > 10 AK is higher among males .The OR of females vs males for this category is 2.601 95% CI 1.053-6.426.
*7b.
*For 4-9 AK and >10 AK baldness is an independent risk factor, but for 1-3 AK not. However, the overall p-value is 8.667*10-8, indicating that overall it is 
and independent risk factor (this p-value can be found in the Likelihood Ratio Tests table). 
