﻿*1.There is a variable describing the order of the tumour, a variable for sex, a variable for date of
incidence, age at diagnosis, variables describing stage in categories, a variable for Breslow thickness,
date of death, date of last contact, vital status and survival time (in days)
There are data on 2517 patients, 1034 males and 1483 females
For survival analysis you need at least information on: vital status and survival time. Fortunately,
these data are available, so the analysis can be performed.

*2.
*Analyze > Survival > Kaplan Meier
Under the header ‘Time’ you select your variable
describing survival time, and under the header
‘Status’ you define which is the event of interest (in
this case, death).
KM survtime
  /STATUS=status(1)
  /PRINT MEAN
  /PLOT SURVIVAL.

*From the table we can read that mean survival
time is 4182 days (about 11.5 years). Median
survival time according to the table is 5308
days. This is correct, however, if one inspects
the K-M plot, it becomes clear that this median
survival time is somewhat strange: there is a
fast drop in the curve, caused by one death at
the end of observed survival time, when just
few patients are still in the dataset. Should this
patient not have died, then median survival
time could not have been estimated, because
we would not have reached 50% of the
patients having died.


*3.
*Analyze > Survival > Kaplan Meier
If you want to compare groups of patients, you can do so by defining the variable you want to compare
them for under ‘Factor’. Then, selecting ‘Compare Factor’ you can specify that you want to perform a log-rank test.
KM survtime BY sex
  /STATUS=status(1)
  /PRINT MEAN
  /PLOT SURVIVAL
  /TEST LOGRANK
  /COMPARE OVERALL POOLED.
*H0: the survival times of males and females are equal.
*See output for mean survival time for males and females
The median survival time should not be interpreted in this case for females, because it is based on one single final case, and is not even available for males.
*The Log-Rank test gives a significant result, meaning that the differences in survival curves between males and females is statistically significant

*4a.
KM survtime BY pn
  /STATUS=status(1)
  /PRINT MEAN
  /PLOT SURVIVAL
  /TEST LOGRANK
  /COMPARE OVERALL POOLED.
*you specify variable pn. Looking at the graph, you can see that in this case, you can say something
about the median survival times for nodal stage 1 and 2, where the lines clearly cut the 0.5 cum survival point
Survival is clearly much worse for N1 and N2 patients compared with N0 and Nx, as would be
expected. Although an estimate is also given for stage X, this does not seem to be very informative to
use. The differences between the curves is statistically significant, although this
measure in this way only tells you something regarding overall differences, not in a pairwise manner,
because the  null hypothesis of the logrank test is:
H0: the survival times of all pn groups are equal
*Patients with stage NX have a comparable, or even better survival than those with stage N0. That makes sense,
because many patients with a thin melanoma and those diagnosed in early time periods, will not have had a
sentinel node biopsy, and most of them will have been node-negative.

*4b.
*If you choose to do a linear trend over the factor levels you will see that this also
gives a statistically significant result, which means there is a trend for a decreasing survival with increasing stage level.
KM survtime BY pn
  /STATUS=status(1)
  /PRINT MEAN
  /PLOT SURVIVAL
  /TEST LOGRANK
  /TREND
  /COMPARE OVERALL POOLED.

*5.
KM survtime BY pm
  /STATUS=status(1)
  /PRINT MEAN
  /PLOT SURVIVAL
  /TEST LOGRANK
  /COMPARE OVERALL POOLED.
*Again, you perform the same analysis, only selecting pm rather than pn in the ‘Factor’ box
Unsurprisingly, a median survival time (of only 73 days) is available for patients diagnosed with
metastatic melanoma. The Log-rank statistic clearly shows that the curves differ significantly. As for
nodal status, missing metastatic stage status can safely be assumed to be ‘M0’ as survival is at the
level of M1 or even better. This seems to make sense, as registrars depend on clinical notes written
down by the treating physicians. If there is metastatic disease they would certainly have written that
down somewhere in the patient files. Missing information on metastatic status in practice means
therefore that the patient does NOT have metastatic disease.
