*The path to the datafile.
*Note: this is specific for each PC/account, I suggest to open the data via Menu File taskbar for the practical.
GET 
  FILE='X:\DERM\Overig\354000\EADV_Summercourse\2014\SPSS practical\Data\Original datasets\SCC.sav'. 
DATASET NAME DataSet1 WINDOW=FRONT. 

*1.3a. check for duplicate cases. 
* Identify Duplicate Cases.
* Identify Duplicate Cases.
SORT CASES BY patient(A) Year(A).
MATCH FILES
  /FILE=*
  /BY patient Year
  /FIRST=PrimaryFirst
  /LAST=PrimaryLast.
DO IF (PrimaryFirst).
COMPUTE  MatchSequence=1-PrimaryLast.
ELSE.
COMPUTE  MatchSequence=MatchSequence+1.
END IF.
LEAVE  MatchSequence.
FORMATS  MatchSequence (f7).
COMPUTE  InDupGrp=MatchSequence>0.
SORT CASES InDupGrp(D).
MATCH FILES
  /FILE=*
  /DROP=PrimaryFirst InDupGrp MatchSequence.
VARIABLE LABELS  PrimaryLast 'Indicator of each last matching case as Primary'.
VALUE LABELS  PrimaryLast 0 'Duplicate Case' 1 'Primary Case'.
VARIABLE LEVEL  PrimaryLast (ORDINAL).
FREQUENCIES VARIABLES=PrimaryLast.
EXECUTE.

*1.3b. Delete duplicate cases safely.
FILTER OFF.
USE ALL.
SELECT IF (PrimaryLast = 1).
EXECUTE.

*1.5a. Explore the variable age.
*Analyze > Descriptive Statistics > Descriptives.
DESCRIPTIVES VARIABLES=Age
  /STATISTICS=MEAN STDDEV MIN MAX.

*Analyze > Descriptive Statistics > Explore.
EXAMINE VARIABLES=Age BY Sex
  /PLOT BOXPLOT STEMLEAF
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

*1.5b. Test if age is normally distributed.
*Graphical check.
FREQUENCIES VARIABLES=Age
  /HISTOGRAM NORMAL
  /ORDER=ANALYSIS.

*Statistical test (Shapiro-Wilk test) and Q-Q plots.
EXAMINE VARIABLES=Age
  /PLOT BOXPLOT STEMLEAF NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

*1.5c. Make a boxplot for age by sex.
EXAMINE VARIABLES=Age BY Sex
  /PLOT=BOXPLOT
  /STATISTICS=NONE
  /NOTOTAL
  /ID=patient.

*1.6a. Make a frequency table for stage.
FREQUENCIES VARIABLES=stage
  /ORDER=ANALYSIS.

*1.6b. Discrete Missing values.
*Go to variable View. Go to missing and check the box No missing values. Make a frequency table again:.
FREQUENCIES VARIABLES=stage
  /ORDER=ANALYSIS.

*1.6c. Correct the stage values.
DO IF stage=11.
COMPUTE stage=1.
END IF.
EXECUTE.

SORT CASES BY stage(D).

*1.6d. Make a Crosstab.
CROSSTABS
  /TABLES=stage BY Sex
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COUNT
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=stage BY Sex
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COUNT
  /COUNT ROUND CELL
  /METHOD=EXACT TIMER(1).

*1.7a. Plot the lab values, log transform the lab values and make a new histogram.
GRAPH
  /HISTOGRAM=Lab_value.

COMPUTE Ln_lab_value=LN(Lab_value).
EXECUTE.

GRAPH
  /HISTOGRAM=LN_Lab_value.

*1.7b.Repeat the syntax for age.
GRAPH
  /HISTOGRAM=age.

COMPUTE Ln_age=LN(age).
EXECUTE.

GRAPH
  /HISTOGRAM=LN_age.

*1.7c. Recode age in two new categories ( < 65 years and ? 65 yrs).
RECODE Age (Lowest thru 64=1) (65 thru Highest=2)  INTO Age65.
Variable labels age65 'Age below or above 65 yrs'.
Value labels Age65  1'<65 yrs'  2'>= 65 yrs'.
EXECUTE.

*1.7d. Sort cases by patient number and year of diagnosis.
SORT CASES BY patient(A) Year(A).

*1.7e. Make a new variable which indicates the sequence of the tumours.
RANK VARIABLES=Year (A) BY patient
  /RANK
  /PRINT=YES
  /TIES=MEAN.

*1.7f. Rename the variable which was created by the Rank cases function of SPSS.
RENAME VARIABLES (RYear=Rank).

*1.7g Select the first tumor of each patient.
USE ALL.
COMPUTE filter_$=(Rank=1).
VARIABLE LABELS filter_$ 'Rank=1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.


*1.8. Export a dataset.
*Example SAS.
SAVE TRANSLATE OUTFILE='X:\DERM\Overig\354000\Statistiek\EADV_ESDR_summercourse\scc.sas7bdat'
  /TYPE=SAS
  /VERSION=7
  /PLATFORM=WINDOWS
  /MAP
  /REPLACE.





