﻿*4.1 calculate OR.
CROSSTABS
  /TABLES=Gender BY AK_binary
  /FORMAT=AVALUE TABLES
  /STATISTICS=RISK 
  /CELLS=COUNT
  /COUNT ROUND CELL.

* risk ratio and odds ratio for PsA
The risk ratio females vs males:(14/466)/(9/379)=1.27
The odds ratio females vs males:(14/452)/(9/370)=1.27

*4.2 univariable logistic regression.
LOGISTIC REGRESSION VARIABLES AK_binary
  /METHOD=ENTER Gender 
  /CONTRAST (Gender)=Indicator(1)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).

*4.3a.multivariable logistic regression.
LOGISTIC REGRESSION VARIABLES AK_binary
  /METHOD=ENTER Gender Age Baldness Skincolor 
  /CONTRAST (Gender)=Indicator(1)
  /CONTRAST (Baldness)=Indicator
  /CONTRAST (Skincolor)=Indicator
  /PRINT=CI(95)
  /CRITERIA=PIN(0.05) POUT(0.10) ITERATE(20) CUT(0.5).

*4.3b Interaction.
LOGISTIC REGRESSION VARIABLES AK_binary
  /METHOD=ENTER Gender Age Baldness Skincolor Baldness*Skincolor 
  /CONTRAST (Gender)=Indicator(1)
  /CONTRAST (Baldness)=Indicator
  /CONTRAST (Skincolor)=Indicator
  /PRINT=CI(95)
  /CRITERIA=PIN(0.05) POUT(0.10) ITERATE(20) CUT(0.5).

*4.4 variable selection.
LOGISTIC REGRESSION VARIABLES AK_binary
  /METHOD=BSTEP(LR) Gender Age SES_cat Length Weight Smoking Baldness Skincolor Sunburn 
  /CONTRAST (Gender)=Indicator(1)
  /CONTRAST (SES_cat)=Indicator
  /CONTRAST (Smoking)=Indicator
  /CONTRAST (Baldness)=Indicator
  /CONTRAST (Skincolor)=Indicator
  /CONTRAST (Sunburn)=Indicator
  /PRINT=CI(95)
  /CRITERIA=PIN(0.05) POUT(0.10) ITERATE(20) CUT(0.5).

*4.5 Goodness of fit.
LOGISTIC REGRESSION VARIABLES AK_binary
  /METHOD=ENTER Gender Age Baldness Skincolor Sunburn
  /CONTRAST (Gender)=Indicator(1)
  /CONTRAST (Baldness)=Indicator
  /CONTRAST (Skincolor)=Indicator
  /CONTRAST (Sunburn)=Indicator
  /SAVE=PRED
  /PRINT=GOODFIT CI(95)
  /CRITERIA=PIN(0.05) POUT(0.10) ITERATE(20) CUT(0.5).

ROC PRE_1 BY AK_binary (1)
  /PLOT=CURVE(REFERENCE)
  /CRITERIA=CUTOFF(INCLUDE) TESTPOS(LARGE) DISTRIBUTION(FREE) CI(95)
  /MISSING=EXCLUDE.

LOGISTIC REGRESSION VARIABLES AK_binary
  /METHOD=ENTER Age
  /SAVE=PRED
  /PRINT=GOODFIT CI(95)
  /CRITERIA=PIN(0.05) POUT(0.10) ITERATE(20) CUT(0.5).

ROC PRE_2 BY AK_binary (1)
  /PLOT=CURVE(REFERENCE)
  /CRITERIA=CUTOFF(INCLUDE) TESTPOS(LARGE) DISTRIBUTION(FREE) CI(95)
  /MISSING=EXCLUDE.



*4.6
*step 1.
USE ALL.
COMPUTE filter_$=(match_id NE 0).
VARIABLE LABELS filter_$ 'match_id NE 0 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.
*step2.
COMPUTE Time=1.
EXECUTE.

*step3.
COXREG Time
  /STATUS=AK_binary(1)
  /STRATA=match_id
  /CONTRAST (Baldness)=Indicator
  /CONTRAST (Skincolor)=Indicator
  /METHOD=ENTER Baldness Skincolor 
  /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20).

*step 4.
*strata 41, 43, 44, 45, 47 and 48 have only 1 control
OR for severe baldness vs no baldness: 4.84 (95%CI 1.31-18.0)
OR medium baldness vs no baldness:1.38 (95% CI: 0.45-4.26)
OR white to olive vs fair/white skin:0.32 (95%CI: 0.08-1.18)
The confidence intervals are much wider and p-values > 0.05, because the sample size and power has been reduced compared to the analysis in 4.3


*4.7 Ordinal and multinomial Regression
*Select all cases of which the number of AK is not missing. 
USE ALL.
COMPUTE filter_$=(AK<=3).
VARIABLE LABELS filter_$ 'AK<=3 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

*ordinal regression.
PLUM AK BY Baldness
  /CRITERIA=CIN(95) DELTA(0) LCONVERGE(0) MXITER(100) MXSTEP(5) PCONVERGE(1.0E-6) SINGULAR(1.0E-8)
  /LINK=LOGIT
  /PRINT=FIT PARAMETER SUMMARY TPARALLEL.

*Mulitnomial regression.
NOMREG AK (BASE=FIRST ORDER=ASCENDING) BY Baldness
  /CRITERIA CIN(95) DELTA(0) MXITER(100) MXSTEP(5) CHKSEP(20) LCONVERGE(0) PCONVERGE(0.000001) 
    SINGULAR(0.00000001)
  /MODEL
  /STEPWISE=PIN(.05) POUT(0.1) MINEFFECT(0) RULE(SINGLE) ENTRYMETHOD(LR) REMOVALMETHOD(LR)
  /INTERCEPT=INCLUDE
  /PRINT=PARAMETER SUMMARY LRT CPS STEP MFI.
